메인 콘텐츠로 건너뛰기
POST
/
api_keys
/
generate_web3_key
/api/v1/api_keys/generate_web3_key
curl --request POST \
  --url https://api.venice.ai/api/v1/api_keys/generate_web3_key \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apiKeyType": "ADMIN",
  "address": "0x45B73055F3aDcC4577Bb709db10B19d11b5c94eE",
  "signature": "0xbb5ff2e177f3a97fa553057864ad892eb64120f3eaf9356b4742a10f9a068d42725de895b5e45160b679cbe6961dc4cb552ba10dc97bdd8258d9154810785c451c",
  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "consumptionLimit": {
    "usd": 50,
    "diem": 10,
    "vcu": 30
  },
  "limitPeriod": "MONTH",
  "description": "Web3 API Key",
  "expiresAt": "2023-10-01T12:00:00.000Z"
}
'
{
  "data": {
    "apiKey": "<string>",
    "apiKeyType": "ADMIN",
    "consumptionLimit": {
      "usd": 50,
      "diem": 10,
      "vcu": 30
    },
    "limitPeriod": "MONTH",
    "expiresAt": "2023-10-01T12:00:00.000Z",
    "id": "e28e82dc-9df2-4b47-b726-d0a222ef2ab5",
    "description": "Example API Key"
  },
  "success": true
}

자율 에이전트 API 키 생성

이 엔드포인트를 사용하는 방법은 이 가이드를 참조하세요.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json
apiKeyType
enum<string>
필수

The API Key type. Admin keys have full access to the API while inference keys are only able to call inference endpoints.

사용 가능한 옵션:
INFERENCE,
ADMIN
예시:

"ADMIN"

address
string
필수

The wallet's address

예시:

"0x45B73055F3aDcC4577Bb709db10B19d11b5c94eE"

signature
string
필수

The token, signed with the wallet's private key

예시:

"0xbb5ff2e177f3a97fa553057864ad892eb64120f3eaf9356b4742a10f9a068d42725de895b5e45160b679cbe6961dc4cb552ba10dc97bdd8258d9154810785c451c"

token
string
필수
예시:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"

consumptionLimit
object

The API Key consumption limits, evaluated against the window selected by limitPeriod.

예시:
{ "usd": 50, "diem": 10, "vcu": 30 }
limitPeriod
enum<string>

Reset window the consumption limits apply to. EPOCH resets every UTC day (legacy default). MONTH resets on the 1st of each UTC calendar month. LIFETIME never resets, so the limit acts as a permanent cap on the key.

사용 가능한 옵션:
EPOCH,
MONTH,
LIFETIME
예시:

"MONTH"

description
string
기본값:Web3 API Key

The API Key description

예시:

"Web3 API Key"

expiresAt

The API Key expiration date. If not provided, the key will not expire.

사용 가능한 옵션:
예시:

"2023-10-01T12:00:00.000Z"

응답

200 - application/json

OK

data
object
필수
success
boolean
필수